﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace EigenHillCipher
{
    public partial class Inputform : Form
    {
        bool dragging = false;
        int start_mousex, start_mousey;
        public Inputform()
        {
            InitializeComponent();
        }

        public static DialogResult showInputDialog(string title, string question, ref string answer)
        {
            Inputform frm = new Inputform();
            frm.titleBar.Text = title;
            frm.questionBox.Text = question;
            frm.inputBox.Text = answer;
            DialogResult ret = frm.ShowDialog();
            if (ret == DialogResult.OK)
                answer = frm.inputBox.Text;
            return ret;
        }

        public static DialogResult showMessageDialog(string title, string message, bool showcancel = false)
        {
            Inputform frm = new Inputform();
            frm.inputBox.Visible = false;
            frm.Height -= 20;
            frm.titleBar.Text = title;
            frm.questionBox.Text = message;
            if (!showcancel)
            {
                frm.button3.Visible = false;
                frm.button2.Left = frm.Width / 2 - (frm.button2.Width / 2);
            }
            return frm.ShowDialog();
        }
            

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void titleBar_MouseDown(object sender, MouseEventArgs e)
        {
            dragging = true;
            start_mousex = e.X;
            start_mousey = e.Y;
        }

        private void titleBar_MouseUp(object sender, MouseEventArgs e)
        {
            dragging = false;
        }

        private void Inputform_MouseMove(object sender, MouseEventArgs e)
        {
            if (dragging)
            {
                this.Top = MousePosition.Y - start_mousey;
                this.Left = MousePosition.X - start_mousex;
                Invalidate();
            }
        }
    }
}
